Bug 99246 - TB ipcalc.py:37:prefix
TB ipcalc.py:37:prefix
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 11:50 EDT by Turlough McKeown
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 09:12:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Turlough McKeown 2003-07-16 11:50:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030623

Description of problem:
"Exception Occured" error when changes made to DNS settings tab.

Version-Release number of selected component (if applicable):
redhat-config-network-1.1.20-1

How reproducible:
Always

Steps to Reproduce:
1.System Settings -> Network
2.DNS Tab
3.Add "company.com" to hostname setting and click Apply
    

Actual Results:  "Exception Occured" on clicking Apply

Expected Results:  The action to work!!!!!!!!!!!!!!!!!!!!!!

Additional info:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 58,
in network
    self.prefix()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 37,
in prefix
    self._netmask = re.match("NETMASK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'

Note You need to log in before you can comment on or make changes to this bug.